#pragma once
#include "afxwin.h"


// CDialogECGSetNormal 对话框

class CDialogECGSetNormal : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogECGSetNormal)

public:
	CDialogECGSetNormal(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogECGSetNormal();

// 对话框数据
	enum { IDD = IDD_DIALOG_ECG_SET_NORMAL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_ComboECGAlmSw;
	CComboBox m_ComboECGAlmLevel;
	CComboBox m_ComboECGAlmRec;
	CComboBox m_ComboECGHRFrom;
	CComboBox m_ComboECGHRLead;
	CComboBox m_ComboECGLeadMode;
	CEdit m_EditHRAlmH;
	CEdit m_EditHRAlmL;
	CComboBox m_ComboECGWaveSpeed;
	CComboBox m_ComboECGTrap;
	CComboBox m_ComboECGPaceSw;
	CComboBox m_ComboBeatVol;
	afx_msg void OnBnClickedButtonAdjSw();
	afx_msg void OnBnClickedButtonEcgDefault();
	afx_msg void OnEnSetfocusEditHrAlmH();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeComboEcgAlmSw();
	afx_msg void OnCbnSelchangeComboEcgAlmLevel();
	afx_msg void OnCbnSelchangeComboEcgAlmRec();
	afx_msg void OnCbnSelchangeComboEcgHrFrom();
	afx_msg void OnCbnSelchangeComboEcgHrLead();
	afx_msg void OnCbnSelchangeComboEcgLeadMode();
	afx_msg void OnCbnSelchangeComboEcgTrap();
	afx_msg void OnCbnSelchangeComboEcgPaceSw();
	afx_msg void OnCbnSelchangeComboBeatVol();
private:
	INT m_i32ECGCal;
	CString input_HRAlmH_check(CString & cs);
	CString input_HRAlmL_check(CString & cs);
};
